#!/bin/bash

SRC="$1"

if [ -z "$SRC" ] ; then
	echo "$0 <asterisk source tree>"
	exit 1
fi


if [ ! -d "$SRC" -o ! -d "$SRC/apps" ] ; then
	echo "ERROR: $SRC doesn't appear to be a valid asterisk source tree."
	exit 1
fi

echo "Source Tree: $SRC"

cp -v app_roundrobinroute.c "$SRC/apps/"
cp -v Makefile.patch "$SRC/apps/"

cd $SRC

cd apps
patch -p0 < Makefile.patch
cd ..
make



cp -v apps/app_roundrobinroute.so /usr/lib/asterisk/modules/


